MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030638Open CASCADE[OCCT] OCCT:Visualizationpublic2019-04-08 18:082019-05-23 14:05
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030638: Visualization, TKOpenGl - load OpenGL 4.5 functions within OpenGl_Context
DescriptionIt is desired loading OpenGL 4.5 functions within OpenGl_Context.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0030640newkgv Open CASCADE Visualization, Graphic3d_Camera - add option creating Projection matrix with [0,1] depth range 
parent of 0030729verifiedbugmaster Community Visualization - TKOpenGl reports OpenGL 4.5 loading functions error on Intel drivers 

-  Notes
(0083535)
git (administrator)
2019-04-08 18:09

Branch CR30638 has been created by kgv.

SHA-1: 1d09c51ac2c6aab867920ed20db6ddccd3b5214c


Detailed log of new commits:

Author: kgv
Date: Mon Apr 8 18:03:34 2019 +0300

    0030638: Visualization, TKOpenGl - load OpenGL 4.5 functions within OpenGl_Context
(0083538)
kgv (developer)
2019-04-08 18:51

Trivial patch is ready for review.
(0083554)
osa (developer)
2019-04-09 11:43

Reviewed without remarks
(0083563)
apn (administrator)
2019-04-09 13:06

Combination -
OCCT branch : CR30638
master SHA - 1d09c51ac2c6aab867920ed20db6ddccd3b5214c
d67d4b811012eef8913d3c535c29654d0acf3c4c
Products branch : master SHA - d412f0b027477420c2d298427655475b16b61588
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16581.019999999964 / 16561.32 [+0.12%]
Products
Total CPU difference: 10477.280000000057 / 10513.120000000044 [-0.34%]
Windows-64-VC14:
OCCT
Total CPU difference: 17947.0625 / 17981.5625 [-0.19%]
Products
Total CPU difference: 12050.203125 / 11993.9375 [+0.47%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0083714)
git (administrator)
2019-04-14 15:41

Branch CR30638 has been deleted by inv.

SHA-1: 1d09c51ac2c6aab867920ed20db6ddccd3b5214c

- Related Changesets
occt: master 9491df8c
Timestamp: 2019-04-08 15:03:34
Author: kgv
Committer: apn
Details ] Diff ]
0030638: Visualization, TKOpenGl - load OpenGL 4.5 functions within OpenGl_Context
mod - src/OpenGl/FILES Diff ] File ]
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.hxx Diff ] File ]
add - src/OpenGl/OpenGl_GlCore45.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlFunctions.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-04-08 18:08 kgv New Issue
2019-04-08 18:08 kgv Assigned To => kgv
2019-04-08 18:09 git Note Added: 0083535
2019-04-08 18:51 kgv Note Added: 0083538
2019-04-08 18:51 kgv Assigned To kgv => san
2019-04-08 18:51 kgv Status new => resolved
2019-04-08 19:31 kgv Relationship added related to 0030640
2019-04-09 09:08 kgv Assigned To san => osa
2019-04-09 11:43 osa Note Added: 0083554
2019-04-09 11:43 osa Assigned To osa => bugmaster
2019-04-09 11:43 osa Status resolved => reviewed
2019-04-09 13:06 apn Test case number => Not needed
2019-04-09 13:06 apn Note Added: 0083563
2019-04-09 13:06 apn Status reviewed => tested
2019-04-14 15:36 apn Changeset attached => occt master 9491df8c
2019-04-14 15:36 apn Assigned To bugmaster => apn
2019-04-14 15:36 apn Status tested => verified
2019-04-14 15:36 apn Resolution open => fixed
2019-04-14 15:41 git Note Added: 0083714
2019-05-23 14:05 kgv Relationship added parent of 0030729


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker